Last Comment Bug 857355 - Hide HTMLInputElement's inputMode API behind a pref and only turn it on for Aurora/Nightly
: Hide HTMLInputElement's inputMode API behind a pref and only turn it on for A...
Status: VERIFIED FIXED
: dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla23
Assigned To: Mounir Lamouri (:mounir)
: Kevin Brosnan [:kbrosnan]
Mentors:
Depends on: 869584
Blocks: 746142
  Show dependency treegraph
 
Reported: 2013-04-02 16:09 PDT by :Ehsan Akhgari (out sick)
Modified: 2013-05-08 04:45 PDT (History)
6 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
+
verified


Attachments
Patch (3.83 KB, patch)
2013-04-28 12:55 PDT, Mounir Lamouri (:mounir)
bugs: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta+
bajaj.bhavana: approval‑mozilla‑release-
Details | Diff | Review

Description :Ehsan Akhgari (out sick) 2013-04-02 16:09:03 PDT
See the discussion in bug 850346.
Comment 1 Mounir Lamouri (:mounir) 2013-04-28 12:55:14 PDT
Created attachment 742845 [details] [diff] [review]
Patch

Passed try: https://tbpl.mozilla.org/?tree=Try&rev=e06ebfad4782
Comment 2 Mounir Lamouri (:mounir) 2013-04-28 12:56:55 PDT
We should ideally push that to Aurora and Beta to reduce the exposition of this attribute.
Comment 3 Alex Keybl [:akeybl] 2013-04-29 15:26:29 PDT
Is 21 really affected by bug 850346? Why are we backing this out (or preffing this off) only in time for the last Beta if FF21 is affected?
Comment 4 Mounir Lamouri (:mounir) 2013-05-01 09:01:02 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/68869162af7c

bug 850346 doesn't have much to do with that, I'm not sure what you are trying to ask here.
Comment 5 Mounir Lamouri (:mounir) 2013-05-01 09:03:46 PDT
Comment on attachment 742845 [details] [diff] [review]
Patch

[Approval Request Comment]
Regression caused by (bug #): bug 746142
User impact if declined: some websites might use the feature and got broken later
Testing completed (on m-c, etc.): just landed in m-i, tests are in m-c
Risk to taking this patch (and alternatives if risky): we should push this patch ASAP to release so we reduce the chances of having anyone using this feature before it is ready to be used.
String or IDL/UUID changes made by this patch: changed HTMLInputElement.webidl, no UUID changes.
Comment 6 Mounir Lamouri (:mounir) 2013-05-01 09:05:36 PDT
To give some context about why this feature is being restricted to Nightly and Aurora: we are not sure what are the attributes we want, Hixie specified different things from what we implemented and I now have a new set of values I would like us to support. We should only make the feature available in release when we will actually be willing to support it forever.
Comment 7 bhavana bajaj [:bajaj] 2013-05-01 12:32:17 PDT
Comment on attachment 742845 [details] [diff] [review]
Patch

Its too late to get in in FX20 (release now) as we ~2weeks away from shipping Fx21.Approving on beta/aurora.

Please land on mozilla-beta asap so that this can get into our final beta.Do we need any QA testing here for verification?
Comment 8 Phil Ringnalda (:philor) 2013-05-01 20:34:39 PDT
https://hg.mozilla.org/mozilla-central/rev/68869162af7c
Comment 9 Mounir Lamouri (:mounir) 2013-05-02 01:56:52 PDT
(In reply to bhavana bajaj [:bajaj] from comment #7)
> Comment on attachment 742845 [details] [diff] [review]
> Patch
> 
> Its too late to get in in FX20 (release now) as we ~2weeks away from
> shipping Fx21.Approving on beta/aurora.

Thanks :) I didn't actually mean to ask approval-release. Second time that happened to me ;)

> Please land on mozilla-beta asap so that this can get into our final beta.Do
> we need any QA testing here for verification?

Yes, that would be great.
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-05-02 05:56:23 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/a27b593bf117

This is going to need a beta-specific patch.
Comment 11 bhavana bajaj [:bajaj] 2013-05-02 10:19:46 PDT
needsinfo on :mounir to help with comment# 10 as this needs to happen by Friday EOD PT to be ready for our final beta also can you explain what QA verification is needed here? Anything else in addition to making sure the pref is false by default ?
Comment 12 Mounir Lamouri (:mounir) 2013-05-03 08:34:50 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/35a57e9f45a4

We don't have webidl on Beta so I didn't touch the idl to not make people go mad so the pref basically just disable the behaviour.

Regarding testing, QA could check that regular keyboard shows on (on Fx Android Beta) when focusing things in that file:
http://oldworld.fr/mozilla/inputmode.html

On Aurora/Nightly (Fx Android), some special keyboards should show up.
Comment 13 Kohei Yoshino [:kohei] 2013-05-04 06:38:39 PDT
I've added this bug to the compatibility doc. Please correct the info if wrong.
https://developer.mozilla.org/en-US/docs/Site_Compatibility_for_Firefox_21
Comment 14 Kevin Brosnan [:kbrosnan] 2013-05-06 17:39:19 PDT
Verified that using 21 beta 7 it is disabled

Verifed that using Aurora 22 and Nighty 23 it is enabled.

Is there any difference between titlecase and autocapitalized? Both resulted in text that only the first character was capitalized. Title case I would expect every word to be capitalized. I am unsure about autocapitalized behavior. The whatwg docs do not seem to provide guidance for these attributes http://www.whatwg.org/specs/web-apps/current-work/#attr-fe-inputmode
Comment 15 Mounir Lamouri (:mounir) 2013-05-07 03:14:26 PDT
Kevin, titlecase should uppercase every first character and autocapitalized should uppercase every first character of a sentence. The former should produces "Foo Bar. Foobar." and the later "Foo bar. Foobar.".
Comment 16 Mounir Lamouri (:mounir) 2013-05-08 04:45:40 PDT
(In reply to Mounir Lamouri (:mounir) from comment #15)
> Kevin, titlecase should uppercase every first character and autocapitalized
> should uppercase every first character of a sentence. The former should
> produces "Foo Bar. Foobar." and the later "Foo bar. Foobar.".

Sounds good. Thanks :)

Note You need to log in before you can comment on or make changes to this bug.